' Load three display pages into video pages 1-3, then display each
' sequentially in page zero when a key is pressed. Press escape key to end.

SCREEN 0: WIDTH 80: CLS         '80-column text mode
DEF SEG = &HB800                'point to CGA video segment
BLOAD "page1.scr", &H1000       'load 3 screens into upper 3 video pages
BLOAD "page2.scr", &H2000
BLOAD "page3.scr", &H3000

WHILE press$ <> CHR$(27)        'loop until escape key pressed
  r = (r MOD 3) + 1             '1,2,3,1,...
  PCOPY r, 0                    'copy page r to page 0
  press$ = ""
  WHILE press$ = "": press$ = INKEY$: WEND   'wait for key press
WEND

